appId: 'chencolauncher'
productName: 'Chenco Launcher'
artifactName: '${productName}-setup-${version}.${ext}'

copyright: 'Copyright © 2025-2026 Chen & Co'

asar: true
compression: 'maximum'

files:
  - '!{dist,.gitignore,.vscode,docs,dev-app-update.yml,.nvmrc,.eslintrc.json}'

extraResources:
  - 'libraries'

# Windows Configuration
win:
  publish:
    - provider: github
      host: git.chenco.dev
      releaseType: release
      repo: chencoLauncher
      owner: TrollFury
  target: 
    - target: 'nsis'
      arch: 'x64'

# Windows Installer Configuration
nsis:
  oneClick: false
  perMachine: false
  allowElevation: true
  allowToChangeInstallationDirectory: true

# macOS Configuration
mac:
  publish:
    - provider: github
      host: git.chenco.dev
      releaseType: release
      repo: chencoLauncher
      owner: TrollFury
  target:
    - target: 'dmg'
      arch:
        - 'x64'
        - 'arm64'
  artifactName: '${productName}-setup-${version}-${arch}.${ext}'
  category: 'public.app-category.games'

# Linux Configuration
linux:
  publish:
    - provider: github
      host: git.chenco.dev
      releaseType: release
      repo: chencoLauncher
      owner: TrollFury
  target: 'AppImage'
  maintainer: 'Chen & Co'
  vendor: 'Chen & Co'
  synopsis: 'Modded Minecraft Launcher'
  description: 'Custom launcher which allows users to join modded servers. All mods, configurations, and updates are handled automatically.'
  category: 'Game'